Index: source/tools/atlas/AtlasObject/AtlasObjectJS.cpp
===================================================================
--- source/tools/atlas/AtlasObject/AtlasObjectJS.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasObject/AtlasObjectJS.cpp	(Arbeitskopie)
@@ -1,4 +1,4 @@
-/* Copyright (C) 2011 Wildfire Games.
+/* Copyright (C) 2014 Wildfire Games.
  * This file is part of 0 A.D.
  *
  * 0 A.D. is free software: you can redistribute it and/or modify
@@ -18,7 +18,7 @@
 #include "AtlasObject.h"
 #include "AtlasObjectImpl.h"
 
-#include "../AtlasScript/ScriptInterface.h"
+#include "JSONSpiritInclude.h"
 
 #if defined(_MSC_VER)
 # pragma warning(disable:4996)	// deprecated CRT
@@ -28,146 +28,95 @@
 
 #include <sstream>
 
-static AtSmartPtr<AtNode> ConvertNode(JSContext* cx, jsval node);
+static AtSmartPtr<AtNode> ConvertNode(json_spirit::Value node);
 
-AtObj AtlasObject::LoadFromJSON(JSContext* cx, const std::string& json)
+AtObj AtlasObject::LoadFromJSON(const std::string& json)
 {
-	// Convert UTF8 to UTF16
-	wxString jsonW(json.c_str(), wxConvUTF8);
-	size_t json16len;
-	wxCharBuffer json16 = wxMBConvUTF16().cWC2MB(jsonW.c_str(), jsonW.Length(), &json16len);
+	json_spirit::Value rootnode;
+	json_spirit::read_string(json, rootnode);
+	
+	AtObj obj;
+	obj.p = ConvertNode(rootnode);
+	return obj;
+}
 
-	jsval vp = JSVAL_NULL;
-	JSONParser* parser = JS_BeginJSONParse(cx, &vp);
-	if (!parser)
+// Convert from a JSON to an AtNode
+static AtSmartPtr<AtNode> ConvertNode(json_spirit::Value node)
+{
+	AtSmartPtr<AtNode> obj (new AtNode());
+	
+	if (node.type() == json_spirit::str_type)
 	{
-		wxLogError(_T("ParseJSON failed to begin"));
-		return AtObj();
+		obj->value = std::wstring(node.get_str().begin(),node.get_str().end());
 	}
-
-	if (!JS_ConsumeJSONText(cx, parser, reinterpret_cast<const jschar*>(json16.data()), (uint32)(json16len/2)))
+	else if (node.type() == json_spirit::int_type || node.type() == json_spirit::real_type)
 	{
-		wxLogError(_T("ParseJSON failed to consume"));
-		return AtObj();
+		std::wstringstream stream;
+		if (node.type() == json_spirit::int_type)
+			stream << node.get_int();
+		if (node.type() == json_spirit::real_type)
+			stream << node.get_real();
+		
+		obj->value = stream.str().c_str();
+		obj->children.insert(AtNode::child_pairtype(
+			"@number", AtSmartPtr<AtNode>(new AtNode())
+		));
 	}
-
-	if (!JS_FinishJSONParse(cx, parser, JSVAL_NULL))
+	else if (node.type() == json_spirit::bool_type)
 	{
-		wxLogError(_T("ParseJSON failed to finish"));
-		return AtObj();
+		if (node.get_bool())
+			obj->value = L"true";
+		else
+			obj->value = L"false";
+		
+		obj->children.insert(AtNode::child_pairtype(
+			"@boolean", AtSmartPtr<AtNode>(new AtNode())
+		));
 	}
-
-	AtObj obj;
-	obj.p = ConvertNode(cx, vp);
-
-	return obj;
-}
-
-// Convert from a jsval to an AtNode
-static AtSmartPtr<AtNode> ConvertNode(JSContext* cx, jsval node)
-{
-	AtSmartPtr<AtNode> obj (new AtNode());
-
-	// Non-objects get converted into strings
-	if (!JSVAL_IS_OBJECT(node))
+	else if (node.type() == json_spirit::array_type)
 	{
-		JSString* str = JS_ValueToString(cx, node);
-		if (!str)
-			return obj; // error
-		size_t valueLen;
-		const jschar* valueChars = JS_GetStringCharsAndLength(cx, str, &valueLen);
-		if (!valueChars)
-			return obj; // error
-		wxString valueWx(reinterpret_cast<const char*>(valueChars), wxMBConvUTF16(), valueLen*2);
+		//AtSmartPtr<AtNode> child(new AtNode());
+		obj->children.insert(AtNode::child_pairtype(
+			"@array", AtSmartPtr<AtNode>(new AtNode())
+		));
 
-		obj->value = valueWx.c_str();
-
-		// Annotate numbers/booleans specially, to allow round-tripping
-		if (JSVAL_IS_NUMBER(node))
+		json_spirit::Array nodeChildren = node.get_array();
+		json_spirit::Array::iterator itr = nodeChildren.begin();
+		
+		for (; itr != nodeChildren.end(); itr++)
 		{
 			obj->children.insert(AtNode::child_pairtype(
-				"@number", AtSmartPtr<AtNode>(new AtNode())
+				"item", ConvertNode(*itr)
 			));
 		}
-		else if (JSVAL_IS_BOOLEAN(node))
-		{
-			obj->children.insert(AtNode::child_pairtype(
-				"@boolean", AtSmartPtr<AtNode>(new AtNode())
-			));
-		}
-
-		return obj;
 	}
-
-	JSObject* it = JS_NewPropertyIterator(cx, JSVAL_TO_OBJECT(node));
-	if (!it)
-		return obj; // error
-
-	while (true)
+	else if (node.type() == json_spirit::obj_type)
 	{
-		jsid idp;
-		jsval val;
-		if (! JS_NextProperty(cx, it, &idp) || ! JS_IdToValue(cx, idp, &val))
-			return obj; // error
-		if (val == JSVAL_VOID)
-			break; // end of iteration
-		if (! JSVAL_IS_STRING(val))
-			continue; // ignore integer properties
-
-		JSString* name = JSVAL_TO_STRING(val);
-		size_t len;
-		const jschar* chars = JS_GetStringCharsAndLength(cx, name, &len);
-		wxString nameWx(reinterpret_cast<const char*>(chars), wxMBConvUTF16(), len*2);
-		std::string nameStr(nameWx.ToUTF8().data());
-
-		jsval vp;
-		if (!JS_GetPropertyById(cx, JSVAL_TO_OBJECT(node), idp, &vp))
-			return obj; // error
-
-		// Unwrap arrays into a special format like <$name><item>$i0</item><item>...
-		// (This assumes arrays aren't nested)
-		if (JSVAL_IS_OBJECT(vp) && JS_IsArrayObject(cx, JSVAL_TO_OBJECT(vp)))
+		json_spirit::Object objectProperties = node.get_obj();
+		json_spirit::Object::iterator itr = objectProperties.begin();
+		for (; itr != objectProperties.end(); itr++)
 		{
-			AtSmartPtr<AtNode> child(new AtNode());
-			child->children.insert(AtNode::child_pairtype(
-				"@array", AtSmartPtr<AtNode>(new AtNode())
-			));
-
-			jsuint arrayLength;
-			if (!JS_GetArrayLength(cx, JSVAL_TO_OBJECT(vp), &arrayLength))
-				return obj; // error
-
-			for (jsuint i = 0; i < arrayLength; ++i)
-			{
-				jsval val;
-				if (!JS_GetElement(cx, JSVAL_TO_OBJECT(vp), i, &val))
-					return obj; // error
-
-				child->children.insert(AtNode::child_pairtype(
-					"item", ConvertNode(cx, val)
-				));
-			}
-
 			obj->children.insert(AtNode::child_pairtype(
-				nameStr, child
+				itr->name_, ConvertNode(itr->value_)
 			));
 		}
-		else
-		{
-			obj->children.insert(AtNode::child_pairtype(
-				nameStr, ConvertNode(cx, vp)
-			));
-		}
 	}
-
+	else
+	{
+		assert(! "Unimplemented type found when parsing JSON!");
+	}
+	
 	return obj;
 }
 
 
-jsval BuildJSVal(JSContext* cx, AtNode::Ptr p)
+json_spirit::Value BuildJSONNode(AtNode::Ptr p)
 {
 	if (!p)
-		return JSVAL_VOID;
+	{
+		json_spirit::Value rval;
+		return rval;
+	}
 
 	// Special case for numbers/booleans to allow round-tripping
 	if (p->children.count("@number"))
@@ -178,9 +127,7 @@
 		double val = 0;
 		str >> val;
 
-		jsval rval;
-		if (!JS_NewNumberValue(cx, val, &rval))
-			return JSVAL_VOID; // error
+		json_spirit::Value rval(val);
 		return rval;
 	}
 	else if (p->children.count("@boolean"))
@@ -188,85 +135,54 @@
 		bool val = false;
 		if (p->value == L"true")
 			val = true;
-
-		return BOOLEAN_TO_JSVAL(val);
+		
+		json_spirit::Value rval(val);
+		return rval;
 	}
 
 	// If no children, then use the value string instead
 	if (p->children.empty())
 	{
-		size_t val16len;
-		wxCharBuffer val16 = wxMBConvUTF16().cWC2MB(p->value.c_str(), p->value.length(), &val16len);
-
-		JSString* str = JS_NewUCStringCopyN(cx, reinterpret_cast<const jschar*>(val16.data()), (uint32)(val16len/2));
-		if (!str)
-			return JSVAL_VOID; // error
-		return STRING_TO_JSVAL(str);
+		json_spirit::Value rval(std::string(p->value.begin(), p->value.end()));
+		return rval;
 	}
 
 	if (p->children.find("@array") != p->children.end())
 	{
-		JSObject* obj = JS_NewArrayObject(cx, 0, NULL);
-		if (!obj)
-			return JSVAL_VOID; // error
+		json_spirit::Array rval;
 
 		// Find the <item> children
 		AtNode::child_maptype::const_iterator lower = p->children.lower_bound("item");
 		AtNode::child_maptype::const_iterator upper = p->children.upper_bound("item");
 
-		jsint idx = 0;
+		uint32_t idx = 0;
 		for (AtNode::child_maptype::const_iterator it = lower; it != upper; ++it)
 		{
-			jsval val = BuildJSVal(cx, it->second);
-			if (!JS_SetElement(cx, obj, idx, &val))
-				return JSVAL_VOID; // error
+			json_spirit::Value child = BuildJSONNode(it->second);
+			rval.push_back(child);
 
 			++idx;
 		}
 
-		return OBJECT_TO_JSVAL(obj);
+		return rval;
 	}
 	else
 	{
-		JSObject* obj = JS_NewObject(cx, NULL, NULL, NULL);
-		if (!obj)
-			return JSVAL_VOID; // error
-
+		json_spirit::Object rval;
+		
 		for (AtNode::child_maptype::const_iterator it = p->children.begin(); it != p->children.end(); ++it)
 		{
-			jsval val = BuildJSVal(cx, it->second);
-			if (!JS_SetProperty(cx, obj, it->first.c_str(), &val))
-				return JSVAL_VOID; // error
+			json_spirit::Value child = BuildJSONNode(it->second);
+			rval.push_back(json_spirit::Pair(it->first.c_str(), child));
 		}
 
-		return OBJECT_TO_JSVAL(obj);
+		return rval;
 	}
 }
 
-struct Stringifier
+std::string AtlasObject::SaveToJSON(AtObj& obj)
 {
-	static JSBool callback(const jschar* buf, uint32 len, void* data)
-	{
-		wxString textWx(reinterpret_cast<const char*>(buf), wxMBConvUTF16(), len*2);
-		std::string textStr(textWx.ToUTF8().data());
-
-		static_cast<Stringifier*>(data)->stream << textStr;
-		return JS_TRUE;
-	}
-
-	std::stringstream stream;
-};
-
-std::string AtlasObject::SaveToJSON(JSContext* cx, AtObj& obj)
-{
-	jsval root = BuildJSVal(cx, obj.p);
-
-	Stringifier str;
-	if (!JS_Stringify(cx, &root, NULL, JSVAL_VOID, &Stringifier::callback, &str))
-	{
-		wxLogError(_T("SaveToJSON failed"));
-		return "";
-	}
-
-	return str.stream.str();
+	json_spirit::Value root = BuildJSONNode(obj.p);
+	std::string ret = json_spirit::write_string(root, 0);
+	return ret;
 }
Index: source/tools/atlas/AtlasObject/JSONSpiritInclude.h
===================================================================
--- source/tools/atlas/AtlasObject/JSONSpiritInclude.h	(Revision 0)
+++ source/tools/atlas/AtlasObject/JSONSpiritInclude.h	(Arbeitskopie)
@@ -0,0 +1,49 @@
+/* Copyright (C) 2014 Wildfire Games.
+ * This file is part of 0 A.D.
+ *
+ * 0 A.D. is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * 0 A.D. is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with 0 A.D.  If not, see <http://www.gnu.org/licenses/>.
+ */
+ 
+ // We use this special header for including the JSONSpirit header because some tweaking is needed to disable warnings.
+#ifndef JSON_SPIRIT_INCLUDE_H
+#define JSON_SPIRIT_INCLUDE_H
+
+#ifdef __GNUC__
+# define GCC_VERSION (__GNUC__*100 + __GNUC_MINOR__)
+#else
+# define GCC_VERSION 0
+#endif
+
+#if GCC_VERSION >= 402 // (older GCCs don't support this pragma)
+# pragma GCC diagnostic ignored "-Wunused-parameter"
+#endif
+
+#ifdef _MSC_VER
+ #pragma warning(disable: 4100)
+ #pragma warning(disable: 4512)
+#endif
+
+# include "json_spirit_writer_template.h"
+# include "json_spirit_reader_template.h"
+
+#ifdef _MSC_VER
+ #pragma warning(default: 4100)
+ #pragma warning(default: 4512)
+#endif
+
+#if GCC_VERSION >= 402
+# pragma GCC diagnostic warning "-Wunused-parameter"
+#endif
+
+#endif // JSON_SPIRIT_INCLUDE_H
\ Kein Zeilenumbruch am Ende der Datei
Index: source/tools/atlas/AtlasUI/Misc/DLLInterface.cpp
===================================================================
--- source/tools/atlas/AtlasUI/Misc/DLLInterface.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/Misc/DLLInterface.cpp	(Arbeitskopie)
@@ -29,8 +29,6 @@
 
 #include "GameInterface/MessagePasser.h"
 
-#include "AtlasScript/ScriptInterface.h"
-
 #include "wx/config.h"
 #include "wx/debugrpt.h"
 #include "wx/file.h"
@@ -173,23 +171,9 @@
 	///ReportError();	// janwas: disabled until ErrorReporter.cpp compiles
 }
 
-void ScenarioEditorSubmitCommand(AtlasMessage::mWorldCommand* command)
-{
-	ScenarioEditor::GetCommandProc().Submit(new WorldCommand(command));
-}
-
 class AtlasDLLApp : public wxApp
 {
 public:
-	AtlasDLLApp()
-	: m_ScriptInterface(NULL)
-	{
-	}
-	
-	~AtlasDLLApp()
-	{
-		delete m_ScriptInterface;
-	}
 
 	virtual bool OnInit()
 	{
@@ -242,8 +226,7 @@
 		}
 		else if (g_InitialWindowType == _T("ScenarioEditor"))
 		{
-			m_ScriptInterface = new ScriptInterface(&ScenarioEditorSubmitCommand);
-			frame = new ScenarioEditor(NULL, *m_ScriptInterface);
+			frame = new ScenarioEditor(NULL);
 		}
 		else
 		{
@@ -315,7 +298,6 @@
 */
 
 private:
-	ScriptInterface* m_ScriptInterface;
 
 	bool OpenDirectory(const wxString& dir)
 	{
Index: source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.cpp	(Arbeitskopie)
@@ -40,8 +40,6 @@
 #include "GameInterface/MessagePasser.h"
 #include "GameInterface/Messages.h"
 
-#include "AtlasScript/ScriptInterface.h"
-
 #include "Misc/KeyMap.h"
 
 #include "Tools/Common/Tools.h"
@@ -358,9 +356,9 @@
 static AtlasWindowCommandProc g_CommandProc;
 AtlasWindowCommandProc& ScenarioEditor::GetCommandProc() { return g_CommandProc; }
 
-ScenarioEditor::ScenarioEditor(wxWindow* parent, ScriptInterface& scriptInterface)
+ScenarioEditor::ScenarioEditor(wxWindow* parent)
 : wxFrame(parent, wxID_ANY, _T(""), wxDefaultPosition, wxSize(1024, 768))
-, m_FileHistory(_T("Scenario Editor")), m_ScriptInterface(scriptInterface)
+, m_FileHistory(_T("Scenario Editor"))
 , m_ObjectSettings(g_SelectedObjects, AtlasMessage::eRenderView::GAME)
 , m_ToolManager(this)
 {
Index: source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.h
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.h	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/ScenarioEditor.h	(Arbeitskopie)
@@ -27,12 +27,10 @@
 #include "CustomControls/FileHistory/FileHistory.h"
 #include "SectionLayout.h"
 
-class ScriptInterface;
-
 class ScenarioEditor : public wxFrame
 {
 public:
-	ScenarioEditor(wxWindow* parent, ScriptInterface& scriptInterface);
+	ScenarioEditor(wxWindow* parent);
 	void OnClose(wxCloseEvent& event);
 	void OnTimer(wxTimerEvent& event);
 	void OnIdle(wxIdleEvent& event);
@@ -66,7 +64,6 @@
 
 	static float GetSpeedModifier();
 
-	ScriptInterface& GetScriptInterface() const { return m_ScriptInterface; }
 	Observable<ObjectSettings>& GetObjectSettings() { return m_ObjectSettings; }
 	Observable<AtObj>& GetMapSettings() { return m_MapSettings; }
 
@@ -75,7 +72,6 @@
 	void SelectPage(const wxString& classname) { m_SectionLayout.SelectPage(classname); }
 
 private:
-	ScriptInterface& m_ScriptInterface;
 
 	ToolManager m_ToolManager;
 
Index: source/tools/atlas/AtlasUI/ScenarioEditor/SectionLayout.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/SectionLayout.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/SectionLayout.cpp	(Arbeitskopie)
@@ -25,7 +25,6 @@
 #include "CustomControls/SnapSplitterWindow/SnapSplitterWindow.h"
 
 #include "ScenarioEditor.h"
-#include "AtlasScript/ScriptInterface.h"
 
 #include "Sections/Environment/Environment.h"
 #include "Sections/Map/Map.h"
Index: source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Map/Map.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Map/Map.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Map/Map.cpp	(Arbeitskopie)
@@ -20,7 +20,6 @@
 #include "Map.h"
 
 #include "AtlasObject/AtlasObject.h"
-#include "AtlasScript/ScriptInterface.h"
 #include "GameInterface/Messages.h"
 #include "ScenarioEditor/ScenarioEditor.h"
 #include "ScenarioEditor/Tools/Common/Tools.h"
@@ -186,7 +185,7 @@
 	if (!(*qry.settings).empty())
 	{
 		// Prevent error if there's no map settings to parse
-		m_MapSettings = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qry.settings);
+		m_MapSettings = AtlasObject::LoadFromJSON(*qry.settings);
 	}
 
 	// map name
@@ -275,7 +274,7 @@
 {
 	UpdateSettingsObject();
 
-	std::string json = AtlasObject::SaveToJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), m_MapSettings);
+	std::string json = AtlasObject::SaveToJSON(m_MapSettings);
 
 	// TODO: would be nice if we supported undo for settings changes
 
@@ -370,7 +369,7 @@
 	// Load the map sizes list
 	AtlasMessage::qGetMapSizes qrySizes;
 	qrySizes.Post();
-	AtObj sizes = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qrySizes.sizes);
+	AtObj sizes = AtlasObject::LoadFromJSON(*qrySizes.sizes);
 	wxChoice* sizeChoice = wxDynamicCast(FindWindow(ID_RandomSize), wxChoice);
 	for (AtIter s = sizes["Sizes"]["item"]; s.defined(); ++s)
 	{
@@ -388,7 +387,7 @@
 	scriptChoice->Clear();
 	for (size_t i = 0; i < scripts.size(); ++i)
 	{
-		AtObj data = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), scripts[i]);
+		AtObj data = AtlasObject::LoadFromJSON(scripts[i]);
 		wxString name(data["settings"]["Name"]);
 		scriptChoice->Append(name, new AtObjClientData(*data["settings"]));
 	}
@@ -528,7 +527,7 @@
 
 	settings.setInt("Seed", wxAtoi(wxDynamicCast(FindWindow(ID_RandomSeed), wxTextCtrl)->GetValue()));
 
-	std::string json = AtlasObject::SaveToJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), settings);
+	std::string json = AtlasObject::SaveToJSON(settings);
 
 	wxBusyInfo busy(_("Generating map"));
 	wxBusyCursor busyc;
Index: source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Object/Object.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Object/Object.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Object/Object.cpp	(Arbeitskopie)
@@ -24,7 +24,6 @@
 #include "ScenarioEditor/ScenarioEditor.h"
 #include "ScenarioEditor/Tools/Common/ObjectSettings.h"
 #include "ScenarioEditor/Tools/Common/MiscState.h"
-#include "AtlasScript/ScriptInterface.h"
 #include "VariationControl.h"
 
 #include "GameInterface/Messages.h"
@@ -479,7 +478,7 @@
 	wxArrayString players;
 	AtlasMessage::qGetPlayerDefaults qryPlayers;
 	qryPlayers.Post();
-	AtObj playerData = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qryPlayers.defaults);
+	AtObj playerData = AtlasObject::LoadFromJSON(*qryPlayers.defaults);
 	AtObj playerDefs = *playerData["PlayerData"];
 	for (AtIter p = playerDefs["item"]; p.defined(); ++p)
 	{
Index: source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Player/Player.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Player/Player.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Player/Player.cpp	(Arbeitskopie)
@@ -20,7 +20,6 @@
 #include "Player.h"
 
 #include "AtlasObject/AtlasObject.h"
-#include "AtlasScript/ScriptInterface.h"
 #include "CustomControls/ColourDialog/ColourDialog.h"
 #include "ScenarioEditor/ScenarioEditor.h"
 
@@ -591,7 +590,7 @@
 	std::vector<std::string> civData = *qryCiv.data;
 	for (size_t i = 0; i < civData.size(); ++i)
 	{
-		AtObj civ = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), civData[i]);
+		AtObj civ = AtlasObject::LoadFromJSON(civData[i]);
 		civNames.Add(wxString(civ["Name"]));
 		civCodes.Add(wxString(civ["Code"]));
 	}
@@ -600,7 +599,7 @@
 	ArrayOfAIData ais(AIData::CompareAIData);
 	AtlasMessage::qGetAIData qryAI;
 	qryAI.Post();
-	AtObj aiData = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qryAI.data);
+	AtObj aiData = AtlasObject::LoadFromJSON(*qryAI.data);
 	for (AtIter a = aiData["AIData"]["item"]; a.defined(); ++a)
 	{
 		ais.Add(new AIData(wxString(a["id"]), wxString(a["data"]["name"])));
@@ -646,7 +645,7 @@
 {
 	AtlasMessage::qGetPlayerDefaults qryPlayers;
 	qryPlayers.Post();
-	AtObj playerData = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qryPlayers.defaults);
+	AtObj playerData = AtlasObject::LoadFromJSON(*qryPlayers.defaults);
 	m_PlayerDefaults = *playerData["PlayerData"];
 }
 
@@ -658,7 +657,7 @@
 	if (!(*qry.settings).empty())
 	{
 		// Prevent error if there's no map settings to parse
-		m_MapSettings = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qry.settings);
+		m_MapSettings = AtlasObject::LoadFromJSON(*qry.settings);
 	}
 	else
 	{
@@ -946,7 +945,7 @@
 {
 	UpdateSettingsObject();
 
-	std::string json = AtlasObject::SaveToJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), m_MapSettings);
+	std::string json = AtlasObject::SaveToJSON(m_MapSettings);
 
 	// TODO: would be nice if we supported undo for settings changes
 
Index: source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Terrain/Terrain.cpp
===================================================================
--- source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Terrain/Terrain.cpp	(Revision 14751)
+++ source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Terrain/Terrain.cpp	(Arbeitskopie)
@@ -23,7 +23,6 @@
 #include "ScenarioEditor/ScenarioEditor.h"
 #include "ScenarioEditor/Tools/Common/Brushes.h"
 #include "ScenarioEditor/Tools/Common/MiscState.h"
-#include "AtlasScript/ScriptInterface.h"
 
 #include "GameInterface/Messages.h"
 
@@ -286,7 +285,7 @@
 	// Load the map sizes list
 	AtlasMessage::qGetMapSizes qrySizes;
 	qrySizes.Post();
-	AtObj sizes = AtlasObject::LoadFromJSON(m_ScenarioEditor.GetScriptInterface().GetContext(), *qrySizes.sizes);
+	AtObj sizes = AtlasObject::LoadFromJSON(*qrySizes.sizes);
 	for (AtIter s = sizes["Sizes"]["item"]; s.defined(); ++s)
 	{
 		long tiles = 0;
